Subject: RE: [Simple] Review of draft-ietf-simple-message-sessions-08 -Overlapping Chunks

From: [email-masked]
Date: Mon, 27 Sep 2004 13:54:38 +0300

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of ext Paul Kyzivat
> Sent: 24.September.2004 19:21
> To: [email-masked]'
> Subject: [Simple] Review of draft-ietf-simple-message-sessions-08
> -Overlapping Chunks
> 
> 
> Section 6.3.1 discusses how to handle the receipt of 
> overlapping chunks,
> specifying that the last received copy of any particular byte wins. I
> don't think this is good.
> 
> If the overlapping chunks contain consistent data then it 
> doesn't matter
> which takes precedence. If they contain conflicting data then 
> reordering
> of chunks can affect the result unpredictably. This rule also prevents
> the recipient from rendering a byte when it and all preceding 
> bytes have
> been received.
> 
> I think it should be permissible for the recipient to check for
> inconsistency in the overlapping case, and report an error if 
> so. We may
> want to require this checking. (Since it typically won't happen it
> shouldn't have a performance impact.)

Since it typically won't happen, I would argue that we don't need to complicate the protocol to handle it.

/Hisham

> 
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple